Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class IllegalSceneGraphException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.media.j3d.IllegalSceneGraphException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IllegalSharingException, SceneGraphCycleException

    public class IllegalSceneGraphException

extends java.lang.RuntimeException

Indicates an illegal Java 3D scene graph. For example, the following is illegal:

- A ViewPlatform node under a ViewSpecificGroup

Since:
  Java 3D 1.3
See Also:
  Serialized Form

Constructor Summary
`IllegalSceneGraphException()` Create the exception object with default values.
`IllegalSceneGraphException(java.lang.String str)` Create the exception object that outputs message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalSceneGraphException

    public IllegalSceneGraphException()

  Create the exception object with default values.

### IllegalSceneGraphException

    public IllegalSceneGraphException(java.lang.String str)

  Create the exception object that outputs message.

  Parameters:
    `str` - the message string to be output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.